%define name enblend
%define version 4.0
%define rel 3
%define release %mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tool for compositing images
Source0:	http://downloads.sourceforge.net/enblend/enblend-enfuse-%{version}.tar.gz
Patch0:		enblend-4.0-libpng14.patch
Patch1:		enblend-4.0-libpng15.patch
License:	GPLv2+
Group:		Graphics
Url:		http://enblend.sourceforge.net
BuildRequires:	tiff-devel
BuildRequires:  glew-devel
BuildRequires:  freeglut-devel
BuildRequires:	mesaglu-devel
BuildRequires:  lcms-devel
BuildRequires:	png-devel
BuildRequires:	plotutils-devel
BuildRequires:	boost-devel
Provides:	enfuse = %version-%release

%description
Enblend is a tool for compositing images. Given a set of images that overlap 
in some irregular way, Enblend overlays them in such a way that the seam 
between the images is invisible, or at least very difficult to see.

%prep 
%setup -q -n enblend-enfuse-%{version}-753b534c819d
%patch0 -p0
%patch1 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README VIGRA_LICENSE
%{_mandir}/man1/enblend.1.*
%{_mandir}/man1/enfuse.1.*
%{_bindir}/enblend
%{_bindir}/enfuse


%changelog

* Sun Dec 25 2011 fwang <fwang> 4.0-3.mga2
+ Revision: 187370
- rebuild for new libtiff

* Wed Sep 14 2011 fwang <fwang> 4.0-2.mga2
+ Revision: 143311
- br glu
- br boost
- add br
- drop req
- add gentoo patches to fix libpng building

* Fri Feb 18 2011 mikala <mikala> 4.0-1.mga1
+ Revision: 53573
- Fix files list
- Update to 4.0
- add plotutils-devel as BR (libxmi support is now provided by plotutils)
- drop patch0
- remove mdk macros
- remove buildroot
- imported package enblend

